Package com.sun.jna

# Class WString

java.lang.Object
com.sun.jna.WString

All Implemented Interfaces:
  `CharSequence`, `Comparable`

public final class WString extends Object implements CharSequence, Comparable
Simple wrapper class to identify a wide string argument or return type.

Author:
  twall@users.sf.net

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WString(String s)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `char`
  `charAt(int index)`
  `int`
  `compareTo(Object o)`
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `int`
  `length()`
  `CharSequence`
  `subSequence(int start, int end)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.CharSequence

  `chars, codePoints, isEmpty`

- ## Constructor Details

  - ### WString

    public WString(String s)

- ## Method Details

  - ### toString

    public String toString()
    Specified by:
      `toString` in interface `CharSequence`
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### compareTo

    public int compareTo(Object o)
    Specified by:
      `compareTo` in interface `Comparable`

  - ### length

    public int length()
    Specified by:
      `length` in interface `CharSequence`

  - ### charAt

    public char charAt(int index)
    Specified by:
      `charAt` in interface `CharSequence`

  - ### subSequence

    public CharSequence subSequence(int start, int end)
    Specified by:
      `subSequence` in interface `CharSequence`